[ARVADOS-DEV] updated: c3db5a62be3c07e4ddaff6a76a8adcaaee1a0319
git at public.curoverse.com
git at public.curoverse.com
Mon Nov 17 15:55:14 EST 2014
Summary of changes:
jenkins/run-docker-tests.sh | 11 ++++++++---
1 file changed, 8 insertions(+), 3 deletions(-)
via c3db5a62be3c07e4ddaff6a76a8adcaaee1a0319 (commit)
from 91e919d5ef0dc210dc1e4c9c150acb7b082ce92a (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit c3db5a62be3c07e4ddaff6a76a8adcaaee1a0319
Author: Ward Vandewege <ward at curoverse.com>
Date: Mon Nov 17 15:55:01 2014 -0500
Retry docker push a few times if it fails.
No issue #
diff --git a/jenkins/run-docker-tests.sh b/jenkins/run-docker-tests.sh
index 8587996..0b5148e 100755
--- a/jenkins/run-docker-tests.sh
+++ b/jenkins/run-docker-tests.sh
@@ -9,9 +9,14 @@ title () {
}
docker_push () {
- $DOCKER push $*
-
- ECODE=$?
+ # Sometimes docker push fails; retry it a few times if necessary.
+ for i in `seq 1 5`; do
+ $DOCKER push $*
+ ECODE=$?
+ if [[ "$ECODE" == "0" ]]; then
+ break
+ fi
+ done
if [[ "$ECODE" != "0" ]]; then
title "!!!!!! docker push $* failed !!!!!!"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list